> For the complete documentation index, see [llms.txt](https://docs.jscorp.uz/jscorptech-websocket/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jscorp.uz/jscorptech-websocket/get-start.md).

# Get Start

Composer yordamida o'rnatish

```
composer require jscorptech/websocket
```

config fayilni import qilish

```
php artisan verdor:publish --tag=websocket
```

Yangi handler class yarating `app/Http/Handlers/WebsocketHandler.php`&#x20;

```php
<?php

namespace App\Http\Handlers;

use JscorpTech\Websocket\Interfaces\WebsocketInterface;

class WebsocketHandler implements WebsocketInterface
{
    public function onConnect($connection, $service): void
    {
        // TODO: Implement onConnect() method.
    }

    public function onMessage($connection, $message, $service)
    {
        // TODO: Implement onMessage() method.
    }

    public function onClose($connection, $service)
    {
        // TODO: Implement onClose() method.
    }
}

```

`config/websocket.php`  faylini o'zgartiring

```php
<?php

use App\Http\Handlers\WebsocketHandler;

return [
    "handler" => WebsocketHandler::class, // Yuqorida yaratilgan handler class 
    "host" => "0.0.0.0", // host
    "port" => 9501, // port
    "redis" => [
        "host" => "127.0.0.1", // redis host
        "port" => 6379, // redis port
        "password" => null, // redis password
    ]
];

```

Ishga tushurish

```
php artisan jst:websocket start
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jscorp.uz/jscorptech-websocket/get-start.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
